Subject: Re: [stable] [PATCH 1/2] atl1: fix resume

From: Greg KH <[email-masked]>
Date: Thu, 16 Sep 2010 14:13:18 -0700

On Thu, Sep 16, 2010 at 09:29:46PM +0200, Luca Tettamanti wrote:
> adapter->cmb.cmb is initialized when the device is opened and freed when
> it's closed. Accessing it unconditionally during resume results either
> in a crash (NULL pointer dereference, when the interface has not been
> opened yet) or data corruption (when the interface has been used and
> brought down adapter->cmb.cmb points to a deallocated memory area).
> 
> Cc: [email-masked]
> ---

You do realize you need to sign-off on a patch you create, right?

thanks,

greg k-h